Skip to content

License key

Activate Handsontable, passing your license key in the configuration object. Use a special key for non-commercial and evaluation purposes.

Overview

Handsontable is available under Commercial and Free licenses, depending on your usage.

We require you to specify which terms apply to your usage, by passing a license key in Handsontable’s licenseKey configuration option.

Commercial license

If you use the paid version of Handsontable, pass the string of numbers delivered to you after the purchase. Note that the license key is a string, so you need to wrap it in quotes ''.

Pass the license key through GridSettings in your component:

import { GridSettings } from "@handsontable/angular-wrapper";
readonly gridSettings: GridSettings = {
licenseKey: '00000-00000-00000-00000-00000',
};
<hot-table [settings]="gridSettings" />

Or set it globally for all tables via HOT_GLOBAL_CONFIG in app.config.ts:

import { ApplicationConfig, provideZoneChangeDetection } from "@angular/core";
import { HOT_GLOBAL_CONFIG, HotGlobalConfig } from "@handsontable/angular-wrapper";
export const appConfig: ApplicationConfig = {
providers: [
provideZoneChangeDetection({ eventCoalescing: true }),
{
provide: HOT_GLOBAL_CONFIG,
useValue: { license: '00000-00000-00000-00000-00000' } as HotGlobalConfig,
},
],
};

Non-commercial license

If you use Handsontable for purposes not intended toward monetary compensation such as, but not limited to, teaching, academic research, evaluation, testing and experimentation, pass the string 'non-commercial-and-evaluation'.

With this key, the grid displays no notification of any kind, and the console stays silent, because the Non-Commercial and Evaluation License permits your usage.

Pass the license key through GridSettings in your component:

import {
GridSettings,
NON_COMMERCIAL_LICENSE,
} from "@handsontable/angular-wrapper";
readonly gridSettings: GridSettings = {
licenseKey: NON_COMMERCIAL_LICENSE,
};
<hot-table [settings]="gridSettings" />

Or set it globally for all tables via HOT_GLOBAL_CONFIG in app.config.ts:

import { ApplicationConfig, provideZoneChangeDetection } from "@angular/core";
import {
HOT_GLOBAL_CONFIG,
HotGlobalConfig,
NON_COMMERCIAL_LICENSE,
} from "@handsontable/angular-wrapper";
export const appConfig: ApplicationConfig = {
providers: [
provideZoneChangeDetection({ eventCoalescing: true }),
{
provide: HOT_GLOBAL_CONFIG,
useValue: { license: NON_COMMERCIAL_LICENSE } as HotGlobalConfig,
},
],
};

Entitlement license keys

Handsontable also accepts entitlement license keys. An entitlement key is plain-English text that states what you licensed, followed by a bracketed block that the grid reads:

This is a Handsontable license key for Acme Corp, issued on 2026-08-12 for the "Acme Portal"
project. It includes 1 license:
> 1. Subscription license under Handsontable Subscription License Agreement 2.0 of 2022-05-21, for
Handsontable on the Enterprise package, for internal use, valid until 2027-08-12 (UTC). Use
after that date is not permitted. To renew, contact sales@handsontable.com.
[eyJwcm9kdWN0cyI6eyJoYW5kc29udGFibGUi...3a4f8361]

Pass the whole key string, exactly as you received it, in the same licenseKey option:

import { GridSettings } from "@handsontable/angular-wrapper";
readonly gridSettings: GridSettings = {
licenseKey: 'This is a Handsontable license key for Acme Corp, ... [eyJwcm9kdWN0cyI6...3a4f8361]',
};

Keys issued in the 25-character format keep working without any change.

Only the bracketed block is protected by a checksum. You can rewrap the text above it, or paste the key through an email client, and the key still works. Keep the block itself on one line, and end the key there - the block must be the last thing in the string. Space and newlines around the whole key are trimmed for you, so a key pasted with a trailing newline still works.

Each license behaves differently around its date:

Trial keys

A trial key is time-boxed. During the trial, the grid shows the Handsontable badge in its top-left corner. Hover over the badge to see the trial status. Once the key’s notice period begins, the console starts warning how many days remain - on a standard 45-day trial that is from day one. On the last licensed day the warning says the key expires today, because that day is still licensed in full. After the expiration date, a message opens next to the badge and below the grid, and the console reports an error. When the grace period stored in the key also passes, a blocking screen replaces the grid. To purchase a commercial license, contact our Sales Team.

Subscription keys

The console warns you before the expiration date. How early depends on the notice period stored in your key. After the expiration date, the console reports an error. The grid itself displays no message, and it never stops working. To renew your subscription, contact our Sales Team.

The expiration date is a full calendar day in UTC. Your license runs to the end of the named day, wherever you are.

Perpetual keys

A perpetual key works like the 25-character commercial keys: its maintenance date is compared against the build date of your Handsontable version, never against the current date. You can use the versions released on or before that date indefinitely, including offline. On a newer version, the console reports an error and the grid shows a notice below the table.

Result

Your grid is now licensed. A valid commercial key removes the license notice from the grid header.

The validation process

We validate the license key to determine whether you are entitled to use the software. To do that, we compare the time between two dates. These dates come from two sources of information. One is the build date that is provided in each version of Handsontable. The other is the creation date that comes with the license key. This process does not trigger any connection to any server.

Entitlement keys extend this process. A trial or subscription key carries its expiration date inside the key, and Handsontable compares that date against the current date, in UTC. A perpetual key keeps the build-date comparison described above. No key triggers any connection to any server.

Notifications

If your license key is missing, invalid, or expired, Handsontable displays a notification. Where it appears depends on the problem.

A missing or invalid key blocks the grid. Handsontable covers it with a modal that cannot be closed, and repeats the message in the console. Set a valid key to remove it. The grid is not usable until you do.

An expired key does not block anything. Its message appears below the table and in the console, and every feature keeps working.

The messages are as follows:

Missing license key

Shown in a blocking modal and in the console:

The license key for Handsontable is missing. Use your purchased key to activate the product. Alternatively, you can activate Handsontable to use for non-commercial purposes by passing the key: ‘non-commercial-and-evaluation’. Read more about it in the documentation or contact us at [email].

Invalid license key

Shown in a blocking modal and in the console:

The license key for Handsontable is invalid. Read more on how to install it properly or contact us at [email].

Expired license key

Shown below the table and in the console:

The license key for Handsontable expired on [expiration_date], and is not valid for the installed version [handsontable_version]. Renew your license key or downgrade to a version released prior to [expiration_dates]. If you need any help, contact us at [email].

Get a license key

To get a commercial license key for your Handsontable copy, contact our Sales Team.

FAQ

How do I update the license key in many tables at once?

There’s no built-in method to update all existing instances automatically. You have two options:

  • Before creating any instances: set the key globally so every new instance picks it up.

    Handsontable.defaults.licenseKey = 'your-new-key';
  • For instances that already exist: call updateSettings() on each one, looping through them manually.

    hot1.updateSettings({ licenseKey: 'your-new-key' });
    hot2.updateSettings({ licenseKey: 'your-new-key' });

What happens if I keep using a stale (expired) license key?

What you can do depends on your license type:

  • Subscription license: once your subscription expires, you can no longer use Handsontable. Renew your subscription to keep using the grid.
  • Perpetual license: you can keep using any version of Handsontable that was released before your license expired. You won’t be able to upgrade to versions released after that date.

If you load a version that your license doesn’t cover, you’ll see a console warning and a watermark on the grid. To keep support and access to updates, keep your license up to date.

What will I see if I update to a newer version with a stale key?

If your license key is expired and you update to a version of Handsontable released after it expired, you’ll see:

  • A watermark below the table saying the license is invalid.
  • A warning in the browser console (see Expired license key).

All features still work, but you’re not entitled to use that version under an expired license. To remove the warning and watermark, either downgrade to the last version released while your license was still active, or renew the license.

License key
Activate Handsontable, passing your license key in the configuration object. Use a special key for non-commercial and evaluation purposes.
Overview
Handsontable is available under Commercial and Free licenses, depending on your usage.
We require you to specify which terms apply to your usage, by passing a license key in Handsontable’s licenseKey configuration option.
Commercial license
If you use the paid version of Handsontable, pass the string of numbers delivered to you after the purchase. Note that the license key is a string, so you need to wrap it in quotes ''.
Pass the license key as a prop:
<HotTable licenseKey="00000-00000-00000-00000-00000" />Or include it in the settings object passed to :settings:
<script setup> const hotSettings = ref({ licenseKey: '00000-00000-00000-00000-00000', // ... other options });</script>
<template> <HotTable :settings="hotSettings" /></template>Non-Commercial license
If you use Handsontable for purposes not intended toward monetary compensation such as, but not limited to, teaching, academic research, evaluation, testing and experimentation, pass the string 'non-commercial-and-evaluation'.
With this key, the grid displays no notification of any kind, and the console stays silent, because the Non-Commercial and Evaluation License permits your usage.
<HotTable licenseKey="non-commercial-and-evaluation" />Entitlement license keys
Handsontable also accepts entitlement license keys. An entitlement key is plain-English text that states what you licensed, followed by a bracketed block that the grid reads:
This is a Handsontable license key for Acme Corp, issued on 2026-08-12 for the "Acme Portal"project. It includes 1 license:
> 1. Subscription license under Handsontable Subscription License Agreement 2.0 of 2022-05-21, for Handsontable on the Enterprise package, for internal use, valid until 2027-08-12 (UTC). Use after that date is not permitted. To renew, contact sales@handsontable.com.
[eyJwcm9kdWN0cyI6eyJoYW5kc29udGFibGUi...3a4f8361]Pass the whole key string, exactly as you received it, in the same
licenseKey option:
<HotTable licenseKey="This is a Handsontable license key for Acme Corp, ... [eyJwcm9kdWN0cyI6...3a4f8361]" />Keys issued in the 25-character format keep working without any change.
Only the bracketed block is protected by a checksum. You can rewrap the text above it, or paste the key through an email client, and the key still works. Keep the block itself on one line, and end the key there - the block must be the last thing in the string. Space and newlines around the whole key are trimmed for you, so a key pasted with a trailing newline still works.
Each license behaves differently around its date:
Trial keys
A trial key is time-boxed. During the trial, the grid shows the Handsontable badge in its top-left corner. Hover over the badge to see the trial status. Once the key’s notice period begins, the console starts warning how many days remain - on a standard 45-day trial that is from day one. On the last licensed day the warning says the key expires today, because that day is still licensed in full. After the expiration date, a message opens next to the badge and below the grid, and the console reports an error. When the grace period stored in the key also passes, a blocking screen replaces the grid. To purchase a commercial license, contact our Sales Team.
Subscription keys
The console warns you before the expiration date. How early depends on the notice period stored in your key. After the expiration date, the console reports an error. The grid itself displays no message, and it never stops working. To renew your subscription, contact our Sales Team.
The expiration date is a full calendar day in UTC. Your license runs to the end of the named day, wherever you are.
Perpetual keys
A perpetual key works like the 25-character commercial keys: its maintenance date is compared against the build date of your Handsontable version, never against the current date. You can use the versions released on or before that date indefinitely, including offline. On a newer version, the console reports an error and the grid shows a notice below the table.
Result
Your grid is now licensed. A valid commercial key removes the license notice from the grid header.
The validation process
We validate the license key to determine whether you are entitled to use the software. To do that, we compare the time between two dates. These dates come from two sources of information. One is the build date that is provided in each version of Handsontable. The other is the creation date that comes with the license key. This process does not trigger any connection to any server.
Entitlement keys extend this process. A trial or subscription key carries its expiration date inside the key, and Handsontable compares that date against the current date, in UTC. A perpetual key keeps the build-date comparison described above. No key triggers any connection to any server.
Notifications
If your license key is missing, invalid, or expired, Handsontable displays a notification. Where it appears depends on the problem.
A missing or invalid key blocks the grid. Handsontable covers it with a modal that cannot be closed, and repeats the message in the console. Set a valid key to remove it. The grid is not usable until you do.
An expired key does not block anything. Its message appears below the table and in the console, and every feature keeps working.
The messages are as follows:
Missing license key
Shown in a blocking modal and in the console:
The license key for Handsontable is missing. Use your purchased key to activate the product. Alternatively, you can activate Handsontable to use for non-commercial purposes by passing the key: ‘non-commercial-and-evaluation’. Read more about it in the documentation or contact us at [email].
Invalid license key
Shown in a blocking modal and in the console:
The license key for Handsontable is invalid. Read more on how to install it properly or contact us at [email].
Expired license key
Shown below the table and in the console:
The license key for Handsontable expired on [expiration_date], and is not valid for the installed version [handsontable_version]. Renew your license key or downgrade to a version released prior to [expiration_dates]. If you need any help, contact us at [email].
Get a license key
To get a commercial license key for your Handsontable copy, contact our Sales Team.
FAQ
How do I update the license key in many tables at once?
There’s no built-in method to update all existing instances automatically. You have two options:
-
Before creating any instances: set the key globally so every new instance picks it up.
Handsontable.defaults.licenseKey = 'your-new-key'; -
For instances that already exist: call
updateSettings()on each one, looping through them manually.hot1.updateSettings({ licenseKey: 'your-new-key' });hot2.updateSettings({ licenseKey: 'your-new-key' });
What happens if I keep using a stale (expired) license key?
What you can do depends on your license type:
- Subscription license: once your subscription expires, you can no longer use Handsontable. Renew your subscription to keep using the grid.
- Perpetual license: you can keep using any version of Handsontable that was released before your license expired. You won’t be able to upgrade to versions released after that date.
If you load a version that your license doesn’t cover, you’ll see a console warning and a watermark on the grid. To keep support and access to updates, keep your license up to date.
What will I see if I update to a newer version with a stale key?
If your license key is expired and you update to a version of Handsontable released after it expired, you’ll see:
- A watermark below the table saying the license is invalid.
- A warning in the browser console (see Expired license key).
All features still work, but you’re not entitled to use that version under an expired license. To remove the warning and watermark, either downgrade to the last version released while your license was still active, or renew the license.